---

- name: install common tools
  hosts: all
  gather_facts: true
  become: true

  pre_tasks:
    - name: python fix
      tags:
        - always
      block:
        - name: detect python binary
          ansible.builtin.stat:
            path: /usr/bin/python
          register: _stat_python_bin

        - name: create symlink from python3
          ansible.builtin.file:
            state: link
            src: /usr/bin/python3
            dest: /usr/bin/python
          when:
            - not _stat_python_bin.stat.exists

  roles:
    - role: common
      tags:
        - always
    #
    - role: chrony
      tags:
        - ntp

# prepare all coremedia machines
- name: install nginx
  hosts: build,monitoring
  gather_facts: true
  become: true

  roles:
    - role: nginx
      tags:
        - nginx

# prepare all coremedia machines
- name: install docker
  hosts: docker,!monitoring,!dns
  gather_facts: true
  become: true

  roles:
    - role: bodsch.docker.docker
      tags:
        - docker

...
